favoritebook/urls.py
from django.conf.urls import url
from django.urls import path

from . import views

app_name = "favoritebook"

urlpatterns = [
    path('show_library/', views.show_library, name='show_library'),
    path('api/', views.get_api, name = 'get_api'),
    path('api/<str:keyword>', views.get_api, name = 'get_api2'),
]

lab06/urls.py
from django.conf.urls import url
from django.urls import path

from . import views

app_name = "lab06"

urlpatterns = [
    path('', views.redirecting),
    path('landing/', views.index, name='index'),
    path('process/', views.submit_message, name = 'form_process'),
    path('profile/', views.showprofile, name = 'profile'),
]

ppwtdd/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import url, include
import lab06.urls as lab06
import favoritebook.urls as favoritebook
import subscribe.urls as subscribe

urlpatterns = [
    path('admin/', admin.site.urls),
    path('library/', include(favoritebook)),
    path('subscribe/', include(subscribe)),
    path('', include(lab06)),
]

subscribe/urls.py
from django.conf.urls import url
from django.urls import path

from . import views

app_name = "subscribe"

urlpatterns = [
    path('', views.show_subscribe, name='show_subscribe'),
    path('email_list', views.json_mail, name = 'email_list'),
    path('submit', views.submit_form, name = 'submit_form'),
]

favoritebook/models.py
from django.db import models

# Create your models here.

lab06/models.py
from django.db import models
from django.utils import timezone

class MessageSenderKeeper(models.Model):
    sender = models.CharField(max_length=50)
    time = models.DateTimeField(default = timezone.now)
    message = models.TextField()
    # Create your models here.

    def __str__(self):
        if (len(self.message)<=50):
            shorted_message = self.message
        else:
            shorted_message = self.message[:50]
        return self.sender + " - " + shorted_message

subscribe/models.py
from django.db import models

class Subscriber(models.Model):
    name = models.CharField(max_length = 100)
    email = models.EmailField()
    password = models.CharField(max_length = 100)

    def __str__(self):
        return self.email
# Create your models here.

lab06/forms.py
from django import forms

class MessagingForm(forms.Form):
    sender = forms.CharField(max_length=50)
    message = forms.CharField()                        

subscribe/forms.py
from django import forms

class SubscribeForm(forms.Form):
    name = forms.CharField(required = True)
    email = forms.EmailField(required = True)
    password = forms.CharField(required = True, widget = forms.PasswordInput())
    confirm_password = forms.CharField(required = True, widget = forms.PasswordInput())  

    def is_valid(self):
 
        valid = super(SubscribeForm, self).is_valid()
 
        # we're done now if not valid
        if not valid:
            return valid 

        if not (self.cleaned_data['password'] == self.cleaned_data['confirm_password']):
            self._errors['invalid_password'] = 'Password is invalid'
            return False         

        return True;            

favoritebook/views.py
from django.shortcuts import render
from django.http import JsonResponse
import requests
def show_library(request):
    return render(request, 'library.html')

def get_api(request, keyword = 'quilting'):
    url = 'https://www.googleapis.com/books/v1/volumes?q=' + keyword
    jsonobject = requests.get(url).json()
    return JsonResponse(jsonobject)
# Create your views here.

lab06/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import MessagingForm
from .models import MessageSenderKeeper

response = {}

def index(request):
    form = MessagingForm()
    response['form'] = form
    messages = MessageSenderKeeper.objects.all()
    response['message']=messages
    return render(request,'landing.html', response)

def submit_message(request):
    form = MessagingForm(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        response['sender'] = request.POST['sender']
        response['message'] = request.POST['message']
        message = MessageSenderKeeper(
            sender = response['sender'],
            message = response['message'],
            )
        message.save()
        return HttpResponseRedirect('/landing/')
    else:
        return HttpResponseRedirect('/')

def redirecting(request):
    return HttpResponseRedirect('/landing/')

def showprofile(request):
    return render(request,'story1.html')
# Create your views here.

subscribe/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect, JsonResponse
from .forms import SubscribeForm
from .models import Subscriber

response = {}

def show_subscribe(request):
    form = SubscribeForm()
    response['form'] = form
    return render(request,'subscriber.html', response)

def json_mail(request):
    json_email = {'email':[]} 
    for subscriber in Subscriber.objects.all():
        json_email['email'].append(subscriber.email)
    return JsonResponse(data = json_email)

def submit_form(request):
    form = SubscribeForm(request.POST)  
    if (form.is_valid()):
        response['name'] = request.POST['name']
        response['email'] = request.POST['email']
        response['password'] = request.POST['password']
        subscriber = Subscriber(name = response['name'],
                                email = response['email'],
        password = response['password'])
        subscriber.save()
        return JsonResponse({'success': True})
    return JsonResponse({'success': False})


# Create your views here.

favoritebook/templates/library.html
{%load static%}
<head>
    <title>Astrayrevise's Messaging Service </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static "style.css" %}">
    <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
</head>

<body>
    <script src="{% static 'testing.js' %}"></script>
    <div>Library</div>
    <div id='jumlah'>Favorited : 0</div>
    <div class="input-group mb-3">
        <input id = "findbook" type="text" class="form-control" placeholder="Enter keyword" aria-label="Enter keyword" aria-describedby="basic-addon2">
        <div class="input-group-append">
          <button class="btn btn-outline-secondary" type="button" id="findbutton">Find!</button>
        </div>
    </div>
    <table class="table table-hover">
        <thead class = "bg-primary">
          <tr >
            <th scope="col">#</th>
            <th scope="col">Cover</th>
            <th scope="col">Page Count</th>
            <th scope="col">Title</th>
            <th scope="col">Description</th>
            <th scope="col">Add to Favorite</th>
          </tr>
        </thead>
        <tbody id = "booktable">
        </tbody>
      </table>
</body>

lab06/templates/base.html
<!DOCTYPE html>
<html lang="en">
{% load static %}

<head>
    <title>Astrayrevise's Messaging Service </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static "style.css" %}">
    <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
</head>

<body>
    <!-- Loading screen -->
    <div id="loading">
        <img id="loading-image" src="{% static "loading.gif" %}" alt="Loading..." />
    </div>
  <div id="content" style="display:none;">
  <nav id="nav-bar" class="navbar justify-content-center navbar-expand navbar-fixed-top sticky-top">
       <a name="profile" class="navbar-brand" href="{% url 'profile' %}">Profile</a>
       <a name="status-bar" class="navbar-brand" href="{% url 'returned' %}">Mari Tubir</a>
       <a name="info" class="navbar-brand" href="{% url 'info'%}"> Info Sedikit</a>
       <button id="theme" class="btn btn-primary">Change Theme</button>
       </div>
  </nav>
  </div>
    {% block content %}
    {% endblock content %}
    <script src="{% static 'behavior.js' %}"></script>
</body>
</html>

lab06/templates/landing.html
{%load static%}

<head>
    <title>Astrayrevise's Messaging Service </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static "style.css" %}">
    <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
</head>

<body>
    <script src="{% static "testing.js" %}" type="text/javascript"></script>
    <div class="profilePage container" id=profilePage>
        <div id="resultsched" class="jumbotron container">
            <section name="messageform">
                <h1>Hello! Apa kabar?!</h1>
                <a href='{% url 'lab06:profile'%}'>
                    see profile
                </a>
                <h2>Messaging Service</h2>
                <form id="form" method="POST" action="{% url 'lab06:form_process' %}">
                    {% csrf_token %}
                    {{form}}
                </form>
                <button id="submit" , type="submit" , class="btn btn-primary" , form="form" , value="Submit">Submit</button>
                <button id="change1" , class="btn btn-primary">Change</button>
            </section>
            <section name="Result" , style="margin:10px">
                {% for i in message reversed %}
                <h5>From : {{i.sender}}</h5>
                Message:
                {{i.message}}
                <br>
                sent : {{i.time}}
                <hr>
                {%endfor%}
            </section>
        </div>
    </div>

</body>

lab06/templates/profile prototype.html
<head>
    <title>Astrayrevise's Messaging Service </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="testing.css">
    <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
</head>

<body>
    <script src="testing.js" type="text/javascript"></script>
    <div class="backgroundprof">
        <div class="profpic"></div>
        <div class="identitysect"></div>
        <div id="accordion">
            <h3>Kesedihan</h3>
            <div>
                <p>
                    Overflow
                </p>
            </div>
            <h3>Kebahagiaan</h3>
            <div>
                <p>
                    noshit
                </p>
            </div>
            <h3>so sad</h3>
            <div>
                <p>
                    the hell
                </p>
                <ul>
                    <li>List item one</li>
                    <li>List item two</li>
                    <li>List item three</li>
                </ul>
            </div>
            <h3>Section 4</h3>
            <div>
                <p>
                    
                </p>
                <p>
                    
                </p>
            </div>
        </div>
        <div class="clickedaccordion"></div>
        <div class="unclickedaccordion"></div>
    </div>
</body>

lab06/templates/story1.html
{%load static%}
<head>
    <meta charset="UTF-8">
    <title>Astrayrevise's First PPW Project</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static "testing.css" %}">
    <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
  </head>
  
  
  <body>
    <script src="{% static "testing.js" %}" type="text/javascript"></script>
    <div id="loading">
        <img id="loading-image" src="{% static "loading.gif" %}" alt="Loading..." />
    </div>

    <div class = "container">
      <h1>Profile</h1>
      <a href='{% url 'lab06:index'%}'>
        back to landing page
      </a>
      <table style="width:50%">
        <tr>
          <th><img src="https://gitlab.com/bimo.iman1/pepewee/raw/master/lab_1/templates/Profile%20pict.JPG" alt="Ma Pictjca"
              style="width:150px;height:150px;margin-right:15px;"></th>
          <th>
            <p class="profile">
              Nama : Bimo Iman S
              <br>
              NPM : 1706039780
              <br>
              Kampus : Universitas Indonesia
              <br>
              Hobi : Membaca komik
              <br>
            </p>
            <p class="desc">
              Just trying to survive
            </p>
          </th>
        </tr>
        </table>
    </div>
    
  <button id="change" , class="btn btn-primary">Change</button>


    <div id="accordion">
      <h3>Aktivitas</h3>
      <div>
        <p>
          Membahagiakan orang tua
        </p>
      </div>
      <h3>Organisasi</h3>
      <div>
        <p>
        </p>
        <ul>
            <li>Junior Member Embedded System Ristek 2018</li>
        </ul>
      </div>
      <h3>Kepanitiaan</h3>
      <div>
        <p>
          Staff Akademis PMB 2018
        </p>
      </div>
    </div>
  </body>

lab06/templates/testing.html
<head>
  <meta charset="UTF-8">
  <title>Astrayrevise's First PPW Project</title>
  <style>
    #tusting {background-color: teal;}
    img {float: "left";}
    p.profile { text-align: left;}
    p.desc {text-align: left;}
    </style>
  <!-- <link rel="stylesheet" type="text/css" href="testing.css"> -->
  <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script>
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
  <link rel="stylesheet" href="http://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
</head>


<body id = "tusting">
  <script src="testing.js" type="text/javascript"></script>
  <div>
    <h1>Profile</h1>
    <a href='{% url ' lab06:index'%}'>
      back to landing page
    </a>
    <table style="width:50%">
      <tr>
        <th><img src="https://gitlab.com/bimo.iman1/pepewee/raw/master/lab_1/templates/Profile%20pict.JPG" alt="Ma Pictjca"
            style="width:150px;height:150px;margin-right:15px;"></th>
        <th>
          <p class="profile">
            Nama : Bimo Iman S
            <br>
            NPM : 1706039780
            <br>
            Kampus : Universitas Indonesia
            <br>
            Hobi : Membaca komik
            <br>
          </p>
          <p class="desc">
            Remaja yang lahir di tahun 1998 dengan hobi membaca komik Green Lantern dan suka membawa obeng kemana-mana.
          </p>
        </th>
      </tr>
      </table>
  </div>

  <div id="accordion">
    <h3>Kesedihan</h3>
    <div>
      <p>
        Overflow
      </p>
    </div>
    <h3>Kebahagiaan</h3>
    <div>
      <p>
        noshit
      </p>
    </div>
    <h3>so sad</h3>
    <div>
      <p>
        the hell
      </p>
      <ul>
        <li>List item one</li>
        <li>List item two</li>
        <li>List item three</li>
      </ul>
    </div>
    <h3>Section 4</h3>
    <div>
      <p>
        Cras dictum. Pellentesque habitant morbi tristique senectus et netus
        et malesuada fames ac turpis egestas. Vestibulum ante ipsum primis in
        faucibus orci luctus et ultrices posuere cubilia Curae; Aenean lacinia
        mauris vel est.
      </p>
      <p>
        Suspendisse eu nisl. Nullam ut libero. Integer dignissim consequat lectus.
        Class aptent taciti sociosqu ad litora torquent per conubia nostra, per
        inceptos himenaeos.
      </p>
    </div>
  </div>

</body>

lab06/templates/testingjs.html
<head>
        <title>Astrayrevise's Messaging Service </title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
            crossorigin="anonymous">
        <link rel="stylesheet" type="text/css" href="retryjs.css">
        <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script>
        <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
        <link rel="stylesheet" href="http://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
</head>
<body>
        <script>
                $(document).ready(function(){
                    $("#pageflip").hover(function() {
                        $("#pageflip img , .msg_block").stop()
                        .animate({width: "100px",height: "100px"}, 500);
                    }, 
                    function() {
                        $("#pageflip img").stop()
                        .animate({width: "50px",height: "52px"}, 220);
                        
                        $(".msg_block").stop()
                        .animate({width: "50px",height: "50px"}, 200);
                    });
                });
            </script>
            
            <div id='pageflip'>
            <a href='' target='_blank'>
            <img alt='' src='458966.jpg'/>
            <span class='msg_block'/>
            </a>
            </div>

            <div class = "container">
                    <h1>Profile</h1>
                    <a href='{% url 'lab06:index'%}'>
                      back to landing page
                    </a>
                    <table style="width:50%">
                      <tr>
                        <th><img src="https://gitlab.com/bimo.iman1/pepewee/raw/master/lab_1/templates/Profile%20pict.JPG" alt="Ma Pictjca"
                            style="width:150px;height:150px;margin-right:15px;"></th>
                        <th>
                          <p class="profile">
                            Nama : Bimo Iman S
                            <br>
                            NPM : 1706039780
                            <br>
                            Kampus : Universitas Indonesia
                            <br>
                            Hobi : Membaca komik
                            <br>
                          </p>
                          <p class="desc">
                            Just trying to survive
                          </p>
                        </th>
                      </tr>
                      </table>
                  </div>
</body>

subscribe/templates/subscriber.html
{%load static%}

<head>
    <title>Astrayrevise's Messaging Service </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static "style.css" %}">
    <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
</head>

<body>
    <script src="{% static "testing.js" %}" type="text/javascript"></script>
    <form id="formsubscribe" method="POST" action="{% url 'subscribe:submit_form' %}">
        {% csrf_token %}
        {{form.as_p}}
    </form>
    <button id="submit" , type="submit" , class="btn disabled" , form="formsubscribe" , value="Submit" disabled>Subscribe</button>
    <div id="dialog-message" title="Saved">
    <p>
        Data saved
    </p>
    </div>
</body>